org.apache.ignite.internal.processors.configuration.distributed

## Class DistributedIntegerProperty

- java.lang.Object
- - org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty<T>
  - - org.apache.ignite.internal.processors.configuration.distributed.DistributedComparableProperty<Integer>
    - - org.apache.ignite.internal.processors.configuration.distributed.DistributedIntegerProperty

All Implemented Interfaces:
  DistributedChangeableProperty<Integer>, DistributedProperty<Integer>

    public class DistributedIntegerProperty
    extends DistributedComparableProperty<Integer>

Implementation of `DistributedProperty` for `Integer`.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty

`val`

### Method Summary

All Methods Static Methods Concrete Methods
`static DistributedIntegerProperty` `detachedIntegerProperty(String name, String desc)`

### Methods inherited from class org.apache.ignite.internal.processors.configuration.distributed.DistributedComparableProperty

`equalTo, greaterOrEqualTo, greaterThan, lessOrEqualTo, lessThan, nonEqualTo`

### Methods inherited from class org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty

`addListener, description, get, getName, getOrDefault, localUpdate, onAttached, onReadyForUpdate, parse, parseNonNegativeInteger, parseNonNegativeLong, parseStringSet, propagate, propagateAsync, propagateAsync, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### detachedIntegerProperty

    public static DistributedIntegerProperty detachedIntegerProperty(String name,
                                                                     String desc)

Parameters:
  `name` - Name of property.
  `desc` - Description of property.
Returns:
  Property detached from processor.(Distributed updating are not accessable).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023